Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraftforge.event.entity.player
Enum PlayerInteractEvent.Action

    java.lang.Object
      java.lang.Enum<PlayerInteractEvent.Action>
          net.minecraftforge.event.entity.player.PlayerInteractEvent.Action

All Implemented Interfaces:
  Serializable, Comparable<PlayerInteractEvent.Action>

Enclosing class:
  PlayerInteractEvent

    public static enum PlayerInteractEvent.Action

extends Enum<PlayerInteractEvent.Action>

Enum Constant Summary
`LEFT_CLICK_BLOCK`
`RIGHT_CLICK_AIR`
`RIGHT_CLICK_BLOCK`

Method Summary
`static PlayerInteractEvent.Action` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PlayerInteractEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RIGHT_CLICK_AIR

    public static final PlayerInteractEvent.Action RIGHT_CLICK_AIR

### RIGHT_CLICK_BLOCK

    public static final PlayerInteractEvent.Action RIGHT_CLICK_BLOCK

### LEFT_CLICK_BLOCK

    public static final PlayerInteractEvent.Action LEFT_CLICK_BLOCK

Method Detail

### values

    public static PlayerInteractEvent.Action[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PlayerInteractEvent.Action c : PlayerInteractEvent.Action.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PlayerInteractEvent.Action valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD